Subject: Re: [PATCH (BUGFIX)] gitweb: Fix two 'uninitialized value' varnings in git_tree()

From: Petr Baudis <[email-masked]>
Date: Thu, 2 Oct 2008 17:08:59 +0200

On Thu, Oct 02, 2008 at 04:50:04PM +0200, Jakub Narebski wrote:
> If we did try to access nonexistent directory or file, which means
> that git_get_hash_by_path() returns `undef`, uninitialized $hash
> variable was passed to 'open' call.  Now we fail early with "404 Not
> Found - No such tree" error.  (If we try to access something which
> does not resolve to tree-ish, for example a file / 'blob' object, the
> error will be caught later, as "404 Not Found - Reading tree failed"
> error).
> 
> If we tried to use 'tree' action without $file_name ('f' parameter)
> set, which means either tree given by hash or a top tree (and we
> currently cannot distinguish between those two cases), we cannot print
> path breadcrumbs with git_print_page_path().  Fix this by moving call
> to git_print_page_path() inside conditional.
> 
> Signed-off-by: Jakub Narebski <[email-masked]>

Acked-by: Petr Baudis <[email-masked]>

> BTW. should we use "No such tree" or "No such directory".

I prefer the former.